body, table.classic tr td {
  background: #191919;
  color: #C1C1C1;
  font-family: "Arial", sans-serif;
  font-size: 9pt;
}

textarea {
  font-family: "Arial", sans-serif;
  font-size: 9.5pt;
}

textarea.locked {
  background: #191919;
}

/* other body styles */
body.regular,
body.classic {
  margin: 0px;
}

body.regular .body {
  padding: 9px;
}

img {
  border: 0px;
}

a {
  color: #C1C1C1;
}

a:visited {
  color: #A8A8A8;
}

a span.m {
  position: relative;
  top: -3px!important;
  top: 0px;
  height: 10px;
  font-size: 6pt;
  margin: 0px 1px;
  padding-left: 10px;
  border-bottom: 2px dotted #C1C1C1;
}

a:visited span.m {
  border-bottom: 2px dotted #A8A8A8;
}

a span.m span {
  font-size: 0px;
}

ins {
  background-color: #ddffdd;
  border: 1px solid green;
  text-decoration: none;
}
ins.pair {
  border-left: 0px solid red;
}
ins img {
  border: 3px solid green;
}

del {
  background-color: #ffdddd;
  border: 1px solid red;
  text-decoration: none;
}
del.pair {
  border-right: 0px solid red;
}
del img {
  border: 3px solid red;
}

#register label {
  font-weight: bold;
}

em {
  color: #FF0000;
  font-style: normal;
}

input [type="text"] {
  border: 1px solid;
  padding: 4px 1px;
}

h1, h2, h3 {
  font-weight: bold;
  margin: 3px 0px;
  text-align: center;
}

h1 {
  font-size: 24pt;
  font-style: italic;
  margin-top: 12px;
}

h2 {
  font-size: 12pt;
}

h3 {
  font-size: 12pt;
  text-align: left;
  margin: 0px;
}

small {
  font-size: 8pt;
}

div.menubar, div.userbar, div.infobar, .message, div.message-top {
  margin: 2px 0px;
}

div.menubar, div.userbar, div.infobar {
  font-weight: bold;
  font-size: 11.5pt;
  color: #C1C1C1;
  padding: 1px 3px;
  text-align: center;
}

div.menubar {
  margin-top: 0px;
  background: #13131;
}

div.userbar {
  background: #1F1F1F;
}

div.infobar {
  background: #313131;
}

.message, div.message-top {
  padding: 0px 3px;
  font-size: 9.5pt;
}

.reply-nest {
	border-left: 3px dashed #252525;
	padding-left: 5px;
}

table.message-body tr td.message, div.message, table.message-body tr td.userpic {
  background: #313131;
  overflow: visible;
}

div.message-top {
  background: #252525;
}

.spoiler_closed .caption {
  white-space: nowrap;
}
.spoiler_closed .spoiler_on_open {
  display: none;
}
.spoiler_opened .spoiler_on_close {
  display: none;
}

table.classic {
  border-collapse: collapse;
  width: 100%;
}

table.classic tr td {
  padding: 2px;
}

table.classic tr th {
  padding: 1px!important;
  background: #13131;
  color: #C1C1C1;
  margin-bottom: 2px;
  text-align: left;
  font-weight: bold;
  font-size: 11.5pt;
}

table.classic tr th.title {
  color: #C1C1C1;
  font-size: 24pt;
  font-style: italic;
}

div.menubar a, div.userbar a, div.infobar a, table.classic tr th a, table.grid tr th a {
  color: #C1C1C1;
}

div.menubar a:visited, div.userbar a:visited, div.infobar a:visited, table.classic tr th a:visited, table.grid tr th a:visited {
  color: #C1C1C1;
}

div.menubar a:hover, div.userbar a:hover, div.infobar a:hover, table.classic tr th a:hover, table.grid tr th a:hover {
  color: #FFFFFF;
}

div.menubar a:active, div.userbar a:active, div.infobar a:active, table.classic tr th a:active, table.grid tr th a:active {
  color: #755454;
}

table.grid {
  width: 100%;
  border-collapse: collapse;
  border: hidden;
  margin: 0px;
}

table.grid tr td, table.grid tr th {
  border: 2px solid #191919;
  border-width: 0px 2px 2px 0px;
}

table.grid tr td {
  background: #313131;
  font-size: 9.5pt;
  padding: 0px 3px 1px 3px;
}

table.grid tr th {
  background: #313131;
  font-size: 11.5pt;
  text-align: center;
  color: #C1C1C1;
}

table.grid tr td.sticky {
  font-weight: bold;
}

table.grid tr td.closed, span.closed {
  background-image: url('/images/closed.gif')!important;
  background-position: 3px center;
  background-repeat: no-repeat;
  padding-left: 18px;
}

table.grid tr td.devil, span.devil {
  background-image: url('/images/devil.gif')!important;
  background-position: 3px center;
  background-repeat: no-repeat;
  padding-left: 27px;
}

span.title-modicon {
  background-image: url('/images/mod.png')!important;
  background-position: 0px center;
  background-repeat: no-repeat;
  padding-left: 18px;
}

table.search {
  border: solid 2px #313131;
  width: 100%;
  border-collapse: collapse;
  border: hidden;
}

table.search tr th, table.search tr td {
  background: #313131;
  font-size: 9.5pt;
  font-weight: normal;
  padding: 2px 5px;
  text-align: left;
  border-width: expression(((this.parentNode.rowIndex==0)?'0px ':'2px ')+
                           ((this.parentNode.cells.length==(this.cellIndex+1))?'0px ':'2px ')+
                           ((this.parentNode.rowIndex==this.parentNode.parentNode.rows.length-1)?'0px ':'2px ')+
                           ((this.cellIndex==0)?'0px':'2px'));
}

table.search tr td {
  background: transparent;
}

.pr {
  font-family: monospace;
  white-space: pre;
}

.pr br {
  display: none;
}

div.poll {
  padding: 0px 6px;
}

table.poll {
  padding: 0px 6px;
  border: 0px;
  width: 100%;
  font-size: 12pt;
}

table.poll div {
  height: 20px;
  background: #1F1F1F;
}

div.graph {
  border: 1px solid #C1C1C1;
  background: #1F1F1F;
  height: 150px;
  width: 540px;
  overflow: visible;
}

div.graph span {
  background: #313131;
  float: left;
}

div.mysql {
  background-image: url('/images/mysql.gif');
  background-position: 0px center;
  background-repeat: no-repeat;
  font-family: monospace;
  margin: 1em 0px;
  padding-left: 18px;
}

iframe.upload_form {
  border: none;
  height: 100%;
  width: 100%;
}

div.upload_form {
  height: 300px;
  width: 600px;
}

div.imgs {
  overflow: visible;
}

div.img {
  float: left;
  margin-right: 10px;
}

div.img span {
  display: block;
  padding-top: 3px;
  overflow: hidden;
  text-align: center;
  width: 150px;
}

div.img div {
  height: 150px;
  line-height: 150px;
  text-align: center;
  width: 160px;
}

div.img div * {
  border: none;
  vertical-align: middle;
}

.image_grid .grid_block {
  float: left;
  width: 220px;
  height: 200px;
  margin: 0px 5px;
  padding: 5px 0px;
  text-align: center;
  position: relative;
}

.image_grid .grid_block .block_desc {
  width: 220px;
  overflow: hidden;
  background: #313131;
  position: absolute;
  bottom: 0px;
}

.filter-container {
  overflow: hidden;
  width: 600px;
}

.filter-column {
  float: left;
  text-align: center;
  width: 200px;
}

.filter-column .input {
  width: 180px;
}

.img-placeholder {
  background-image: url(data:image/gif;base64,R0lGODlhEAAQAIABAMzMzP///yH5BAEAAAEALAAAAAAQABAAAAIfhG+hq4jM3IFLJhoswNly/XkcBpIiVaInlLJr9FZWAQA7);
  display: -moz-inline-block;
  display: inline-block;
}
* html .img-placeholder {
  background-image: url('/images/placeholder.gif');
}
.img-loaded {
  display: -moz-inline-block;
  display: inline-block;
}
.quoted-message {
  margin-left: 0px;
  padding-left: 6px;
  border-left: 2px solid #252525;
}
.message .message-top {
  background-color: transparent;
  padding-left: 0px;
}

table.message-body {
  border-collapse: collapse;
  margin: 0px;
}
table.message-body td.message {
  vertical-align: top;
  width: 100%;
}
table.message-body td.userpic {
  border-left: 2px solid #191919;
  padding: 2px;
  vertical-align: top;
}
table.message-body td.userpic div.userpic-holder {
  width: 150px;
  overflow: hidden;
  text-align: center;
}

/*

   Start of VaaS exclusive CSS rules 

*/ 

.anchor {
	cursor: pointer;
	text-decoration: underline;		
}

.loading-text {
	opacity: 0.7;	
}